KnnSearchStrategy.Patience (Lucene 10.5.0 core API)
Description: declaration: package: org.apache.lucene.search.knn, class: KnnSearchStrategy, class: Patience

Package org.apache.lucene.search.knn

# Class KnnSearchStrategy.Patience

java.lang.Object
org.apache.lucene.search.knn.KnnSearchStrategy
org.apache.lucene.search.knn.KnnSearchStrategy.Hnsw
org.apache.lucene.search.knn.KnnSearchStrategy.Patience

Enclosing class:
  `KnnSearchStrategy`

public static class KnnSearchStrategy.Patience extends KnnSearchStrategy.Hnsw
A strategy for kNN search on HNSW that early exits when nearest neighbor collection rate saturates.

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.lucene.search.knn.KnnSearchStrategy

  `KnnSearchStrategy.Hnsw, KnnSearchStrategy.Patience, KnnSearchStrategy.Seeded`

- ## Field Summary

  ### Fields inherited from class org.apache.lucene.search.knn.KnnSearchStrategy.Hnsw

  `DEFAULT`

  ### Fields inherited from class org.apache.lucene.search.knn.KnnSearchStrategy

  `DEFAULT_FILTERED_SEARCH_THRESHOLD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Patience(HnswQueueSaturationCollector collector, int filteredSearchThreshold)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  Override and implement search strategy instance equivalence properly in a subclass.
  `int`
  `hashCode()`
  Override and implement search strategy hash code properly in a subclass.
  `void`
  `nextVectorsBlock()`
  Signal processing of the next block of vectors.

  ### Methods inherited from class org.apache.lucene.search.knn.KnnSearchStrategy.Hnsw

  `filteredSearchThreshold, useFilteredSearch`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Patience

    public Patience(HnswQueueSaturationCollector collector, int filteredSearchThreshold)

- ## Method Details

  - ### equals

    public boolean equals(Object obj)
    Description copied from class: `KnnSearchStrategy`
    Override and implement search strategy instance equivalence properly in a subclass.
    Overrides:
      `equals` in class `KnnSearchStrategy.Hnsw`

  - ### hashCode

    public int hashCode()
    Description copied from class: `KnnSearchStrategy`
    Override and implement search strategy hash code properly in a subclass.
    Overrides:
      `hashCode` in class `KnnSearchStrategy.Hnsw`
    See Also:
      - `KnnSearchStrategy.equals(Object)`

  - ### nextVectorsBlock

    public void nextVectorsBlock()
    Description copied from class: `KnnSearchStrategy`
    Signal processing of the next block of vectors.
    Overrides:
      `nextVectorsBlock` in class `KnnSearchStrategy.Hnsw`